Summary: Emacs Czech Utils
Summary(cs): esk utility pro Emacs
%define version 4.3
Name: emacs-cs-utils
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/Editors
Group(cs): Aplikace/Editory
Source0: emacs-cs-utils-%{version}.tar.gz
Source1: emacs-cs-utils-init.el
Patch0: emacs-cs-utils-%{version}-tildify.patch
Patch1: emacs-cs-utils-%{version}-czech-digraphs.patch
Requires: emacs >= 20.4
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-root

%description
Emacs Czech Utils is a package to make czech user's living with GNU Emacs
easier. It provides czech calendar, ISO-8859-2 compatible printing to
PostScript, tildify (Elisp equivalent of vlnka) etc.

%description -l cs
Tento balek je vytvoen pro esk uivatele, aby jejich souit s GNU
Emacs bylo snaz. Poskytuje esk kalend, ISO-8859-2 kompatibiln
tisk do PostScriptu, tildify (Elisp ekvivalent programu vlnka), atd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
for file in hacks/czech-calendar-names.el hacks/czech-calendar.el hacks/czech-message.el hacks/slovak-calendar.el hacks/string-recode.el hacks/tildify.el
do
   emacs --batch -q --no-site-file --no-init-file -f batch-byte-compile $file
done

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacs-cs-utils

install -m 0644 hacks/*.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacs-cs-utils
install -m 0644 $RPM_SOURCE_DIR/%{name}-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacs-cs-utils

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir /usr/share/emacs/site-lisp/emacs-cs-utils
%doc README doc/emacs-czech.html doc/emacs-czech-logo.png doc/refcard-cs.tex
/usr/share/emacs/site-lisp/emacs-cs-utils/*

%changelog
* Thu Dec  7 2000 Milan Kerslager <kerslage@linux.cz>
- rebuild for 7.0

* Wed Jan 19 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- updated to 4.3
- old patches updated for new release

* Mon Jan 17 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- new directory structure

* Sun Feb 7 1999 Pavel Jank ml. <Pavel.Janik@inet.cz>
- selection in X set to ISO-8859-2 (why it isn't in documentation)

* Thu Feb 4 1999 Pavel Jank ml. <Pavel.Janik@inet.cz>
- tildifying in plain-tex-mode fixed
- e with hat is not present in czech-digraphs
